package org.chenyang.http.impl.io;

import org.chenyang.http.HttpRequest;
import org.chenyang.http.io.SessionOutputBuffer;
import org.chenyang.http.message.LineFormatter;
import org.chenyang.http.params.HttpParams;
import java.io.IOException;

/** @deprecated */
@Deprecated
public class HttpRequestWriter extends AbstractMessageWriter<HttpRequest> {
   public HttpRequestWriter(SessionOutputBuffer buffer, LineFormatter formatter, HttpParams params) {
      super(buffer, formatter, params);
   }

   protected void writeHeadLine(HttpRequest message) throws IOException {
      this.lineFormatter.formatRequestLine(this.lineBuf, message.getRequestLine());
      this.sessionBuffer.writeLine(this.lineBuf);
   }
}
